Bug 475116 - Review Request: python-ldaphelper - a wrapper around python-ldap search results
Summary: Review Request: python-ldaphelper - a wrapper around python-ldap search results
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-08 00:19 UTC by Jon Stanley
Modified: 2009-02-05 02:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-05 02:12:06 UTC
ruben: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jon Stanley 2008-12-08 00:19:05 UTC
Spec URL: http://jstanley.fedorapeople.org/python-ldaphelper.spec
SRPM URL: http://jstanley.fedorapeople.org/python-ldaphelper-1-1.fc10.src.rpm
Description: A simple library that provides a convenience class around search results from python-ldap.

NOTE: I'm aware of the discontinuity in licensing between upstream's website, the actual python file, and the COPYRIGHT file.  The first two state MIT, the latter states GPLv2+.  I have an email out to the author to clarify this, and consider this package blocked until such clarification is received.  But please do review the rest of it since no matter which license it ends up being, it's acceptable for Fedora.

Comment 1 Ruben Kerkhof 2008-12-08 20:34:14 UTC
Hi Jon,

Review for release 1.fc10:
* RPM name is OK
* Source ldaphelper-1.tgz is the same as upstream
* Builds fine in mock
* Package has sane Provides and Requires:
* I did a quick test with importing it into IPython and retrieved some results from openldap. It works fine.

Package is approved, pending the license clarification.

Comment 2 Jon Stanley 2008-12-09 19:18:09 UTC
FYI - got this mail from upstream, will wait for new release.

I assume there are no problems with a dual license? I think I
originally wrote it under GPL and then had to change it to MIT when I
published a few articles about it. So in good conscience, I suppose I
should dual license it.

I think I will create a new Google Code project and load the files up
there, and then generate a 1.1 version of the software. I'll notify
you as soon as I have done that. Will that work alright?

Comment 3 Ruben Kerkhof 2008-12-09 21:24:14 UTC
Ok, just post it here and I'll do another review.

Comment 4 Jon Stanley 2009-01-08 17:54:38 UTC
I apologize, I convinced upstream to move to fedorahosted awhile ago and have been delaying repackaging, but finally did it.

Spec is the same.
SRPM is http://jstanley.fedorapeople.org/python-ldaphelper-1.0.1-1.fc10.src.rpm

Licensing is clarified to be either license.

Comment 5 Ruben Kerkhof 2009-01-19 12:15:03 UTC
Hi Jon, thanks for chasing the license.

I did another check of the rpm, and everything looks fine.

Approved.

Comment 6 Jon Stanley 2009-01-20 06:23:51 UTC
New Package CVS Request
=======================
Package Name: python-ldaphelper
Short Description: A wrapper around LDAP search results
Owners: jstanley
Branches: EL-4 EL-5 F-9 F-10
InitialCC:

Comment 7 Kevin Fenzi 2009-01-20 21:21:16 UTC
cvs done.

Comment 8 Fedora Update System 2009-01-24 02:35:17 UTC
python-ldaphelper-1.0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-ldaphelper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0890

Comment 9 Fedora Update System 2009-01-24 02:40:54 UTC
python-ldaphelper-1.0.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-ldaphelper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0927

Comment 10 Fedora Update System 2009-02-05 02:12:00 UTC
python-ldaphelper-1.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-02-05 02:15:48 UTC
python-ldaphelper-1.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.